UpdateParameters (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class UpdateParameters

- java.lang.Object
- - org.apache.cassandra.cql3.UpdateParameters

-     public class UpdateParameters
      extends java.lang.Object

  A simple container that simplify passing parameters for collections methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `localDeletionTime`
    `CFMetaData` | `metadata`
    `QueryOptions` | `options`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateParameters(CFMetaData metadata, QueryOptions options, long timestamp, int ttl, java.util.Map<java.nio.ByteBuffer,CQL3Row> prefetchedLists)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Cell>` | `getPrefetchedList(java.nio.ByteBuffer rowKey, ColumnIdentifier cql3ColumnName, ColumnFamily cf)` Returns the prefetched list with the already performed modifications.
    `Cell` | `makeColumn(CellName name, java.nio.ByteBuffer value)`
    `Cell` | `makeCounter(CellName name, long delta)`
    `RangeTombstone` | `makeRangeTombstone(ColumnSlice slice)`
    `Cell` | `makeTombstone(CellName name)`
    `RangeTombstone` | `makeTombstoneForOverwrite(ColumnSlice slice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metadata

          public final CFMetaData metadata

    - #### options

          public final QueryOptions options

    - #### timestamp

          public final long timestamp

    - #### localDeletionTime

          public final int localDeletionTime

  - ### Constructor Detail

    - #### UpdateParameters

          public UpdateParameters(CFMetaData metadata,
                                  QueryOptions options,
                                  long timestamp,
                                  int ttl,
                                  java.util.Map<java.nio.ByteBuffer,CQL3Row> prefetchedLists)
                           throws InvalidRequestException

      Throws:
        `InvalidRequestException`

  - ### Method Detail

    - #### makeColumn

          public Cell makeColumn(CellName name,
                                 java.nio.ByteBuffer value)
                          throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeCounter

          public Cell makeCounter(CellName name,
                                  long delta)
                           throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeTombstone

          public Cell makeTombstone(CellName name)
                             throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeRangeTombstone

          public RangeTombstone makeRangeTombstone(ColumnSlice slice)
                                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeTombstoneForOverwrite

          public RangeTombstone makeTombstoneForOverwrite(ColumnSlice slice)
                                                   throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getPrefetchedList

          public java.util.List<Cell> getPrefetchedList(java.nio.ByteBuffer rowKey,
                                                        ColumnIdentifier cql3ColumnName,
                                                        ColumnFamily cf)

      Returns the prefetched list with the already performed modifications.

      If no modification have yet been performed this method will return the fetched list. If some modifications (updates or deletions) have already been done the list returned will be the result of the merge of the fetched list and of the pending mutations.

      Parameters:
        `rowKey` - the row key
        `cql3ColumnName` - the column name
        `cf` - the pending modifications
      Returns:
        the prefetched list with the already performed modifications

Copyright © 2018 The Apache Software Foundation